#
# spec file for package python-pyasn1-modules
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyasn1-modules
Version:        0.2.1
Release:        lp151.2.2
Url:            https://github.com/etingof/pyasn1-modules
Summary:        Collection of protocols modules written in ASN.1 language
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/p/pyasn1-modules/pyasn1-modules-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-pyasn1 >= 0.3.4
BuildArch:      noarch

%python_subpackages

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n pyasn1-modules-%{version}

%build
%python_build

%install
%python_install

%files %python_files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.md
%{python_sitelib}/*

%changelog
* Sun Nov 26 2017 arun@gmx.de
- update to version 0.2.1:
  * Allow ANY DEFINED BY objects expanding automatically if requested
  * Imports PEP8'ed
* Thu Oct 12 2017 michael@stroeder.com
- Update to upstream release 0.1.5
  * OCSP response blob fixed in test
  * Fixed wrong OCSP ResponderID components tagging
* Thu Sep  7 2017 michael@stroeder.com
- Update to upstream release 0.1.4
  * more onversion pinning
* Thu Sep  7 2017 michael@stroeder.com
- Update to upstream release 0.1.2
  * Tests refactored into proper unit tests
  * pem.readBase64fromText() convenience function added
  * Pinned to pyasn1 0.3.4+
* Tue Aug 15 2017 michael@stroeder.com
- Update to upstream release 0.0.11
  * Fixed typo in ASN.1 definitions at rfc2315.py
* Sat Jul 29 2017 michael@stroeder.com
- Updated project URL
- Update to upstream release 0.0.10
  * Fixed SequenceOf initializer to pass now-mandatory componentType
    keyword argument (since pyasn1 0.3.1)
  * Temporarily fixed recursive ASN.1 type definition to work with
    pyasn1 0.3.1+. This is going to be fixed properly shortly.
* Wed Jun 14 2017 michael@stroeder.com
- Update to upstream release 0.0.9
  * More CRL data structures added (RFC3279)
  * Added X.509 certificate extensions map
  * Added X.509 attribute type map
  * Fix to __doc__ use in setup.py to make -O0 installation mode working
  * Copyright added to source files
  * More PEP-8'ing done on the code
  * Author's e-mail changed
* Thu Mar 16 2017 tbechtold@suse.com
- Switch to singlespec approach
* Tue Dec 29 2015 michael@stroeder.com
- Update to upstream release 0.0.8
  - Wheel distribution format now supported
  - Fix to misspelled rfc2459.id_at_sutname variable
  - Fix to misspelled rfc2459.NameConstraints component tag ID
  - Fix to misspelled rfc2459.GeneralSubtree component default status
* Thu Aug 13 2015 michael@stroeder.com
- Added file ext .txt to doc files like in upstream
- Update to upstream release 0.0.7
  - Extensions added to text files, CVS attic flushed.
  - Fix to rfc2459.BasicConstraints syntax.
* Sat Jul  4 2015 michael@stroeder.com
- Update to upstream release 0.0.6
  - Typo fix to id_kp_serverAuth object value
  - A test case for indefinite length encoding eliminated as it's
    forbidden in DER.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue May  7 2013 michael@stroeder.com
- Update to upstream release 0.0.5
  Revision 0.0.5
- License updated to vanilla BSD 2-Clause to ease package use
  (http://opensource.org/licenses/BSD-2-Clause).
* Wed Jan  2 2013 toddrme2178@gmail.com
- Fix building on SLES
* Fri Jul 27 2012 michael@stroeder.com
- Update to upstream release 0.0.4
  The pyasn1-modules collection now includes Certificate Management Protocol
  (RFC4210) data structures.
* Mon Apr 23 2012 michael@stroeder.com
- Update to upstream release 0.0.3
* Fri Mar 23 2012 michael@stroeder.com
- Initial submission of upstream release 0.0.2
